#pragma once
//#include "afxext.h"


class CObjectInfoDialogSubBar1 : public CDialog
{
public:
	CObjectInfoDialogSubBar1(CWnd* pParent = NULL) : CDialog() {}
	~CObjectInfoDialogSubBar1(){};
};

class CObjectInfoDialogSubBar2 : public CDialog
{
public:
	CObjectInfoDialogSubBar2(CWnd* pParent = NULL) : CDialog() {}
	~CObjectInfoDialogSubBar2(){};
};

class CObjectInfoDialogBar : public CDialogBar
{
	DECLARE_DYNAMIC(CObjectInfoDialogBar)

public:
	CObjectInfoDialogBar(CWnd* pParent = NULL);   // standard constructor
	virtual ~CObjectInfoDialogBar();
	virtual BOOL Create(CWnd* pParent, UINT nIDTemplate, UINT nStyle, UINT nID);

public:
	void OnPaint();
// Dialog Data
	enum { IDD = IDD_OBJECTINFOBAR };
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	afx_msg LRESULT OnInitDialog(UINT wParam, LONG lParam);
	int OnCreate(LPCREATESTRUCT lpcs);
public:
	DECLARE_MESSAGE_MAP()

public:
	void ShowSubBar1();
	void ShowSubBar2();
private:
public:
	CStatusBarCtrl m_StatusBar;
	CObjectInfoDialogSubBar1 m_Sub1;
	CObjectInfoDialogSubBar2 m_Sub2;
private:
	CDialog *m_dbCurrent;

	CStatic st1;
};